# TOPOSUITE FOR ANDROID

<a href="https://scan.coverity.com/projects/2735">
  <img alt="Coverity Scan Build Status"
       src="https://scan.coverity.com/projects/2735/badge.svg"/>
</a>

Copyright(C) 2014-2016, CRAG (Commission paritaire  Romande d'Apprentissage de
Géomaticien(ne)s)

TopoSuite for Android is an application developed by
[hgdev](https://hgdev.ch/) and commissioned by the CRAG (Commission paritaire
Romande d'Apprentissage de  Géomaticien(ne)s).

The application development is currently sponsored by the CRAG,
[CF-Geo](http://www.cf-geo.ch/), [CEPM](http://www.cepm.ch/),
[CPLN](http://www.cpln.ch/), [EPCA](http://www.epcasion.ch/) and
[Pro-Geo](http://www.pro-geo.ch/). If you are interested in seeing more features
or improvements to this application, please,
[contact us](https://hgdev.ch/contact.html).

This application is free software licensed under the GPLv2 license (see
LICENSE).  This means that you can freely use, study, redistribute and modify
this program.  You must, however, publish any changes to the source code and
make them available under the same license.

## ABOUT

TopoSuite is an application for land surveyors running on Android 4.0.3 and
later versions. It is useful for determining new geographical points based on
measurements and it offers various calculations possibilities.

Here is a list of supported calculations:

* Polar calculations
    * station orientation
    * free station
    * polar survey
    * polar implantation
    * axis implantation
* Orthogonal calculations
    * orthogonal survey
    * orthogonal tracking
    * orthogonal implantation
* Intersections calculations
    * lines intersection
    * circles intersections
    * line / circle intersections
* Surfaces calculations
    * surface included with arc of a circle
    * parallel limit displacement regarding compulsory surface
* Miscellaneous
    * field / distance
    * point projection on a line
    * circle computation using three points
    * arc of a circle segmentation
* Mathematics
    * triangle solver
    * circular elements resolution

Data, such as points, may be imported into the application. Supported input
files are CSV (with ";" as a separator for now), LTOP and PTP. The list of
points can be exported to CSV and shared through e-mail, etc.

It is currently available in English and French (German planned).

## LIMITATIONS

This program has been developed in accordance with rules that are valid for land
surveying in Switzerland (angles are determined in gradian, lengths are in
meters and distance/surface results are rounded to the fourth decimal for
instance).

## CONTRIBUTING

Contributions are welcome. Simple bug fixes or minor improvements should usually
be easily accepted. However, if you plan on adding a major feature, contact us
beforehand so we can make sure that it fits with the overall goals of the
application.

## SPONSORING

This application is free but developers have to eat nonetheless. If you think
this piece of software is useful to you, feel free to contribute by making a
donation. If you feel like a feature is missing and you would like to have it
implemented, consider sponsoring the development of this feature. Several
organizations have already contributed to the development of this application.
Why not yours? Feel free to [contact us](https://hgdev.ch/contact.html)
about this.
